[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# TMethodKind

Method type description

## Declaration

Source position: typinfo.pp line 86

`type TMethodKind = (`
`mkProcedure,` |  | Procedure method.
`mkFunction,` |  | Function method
`mkConstructor,` |  | Class constructor
`mkDestructor,` |  | Class Destructor
`mkClassProcedure,` |  | Class procedure
`mkClassFunction,` |  | Class function
`mkClassConstructor,` |  | Class constructor method.
`mkClassDestructor,` |  | Class destructor method.
`mkOperatorOverload` |  | Operator overloader
`);`